Subject: Add Linux LUKS (8309) Partition Type to List of Supported File Systems

From: Matouš Kavalík <[email-masked]>
Date: Fri, 14 Feb 2025 00:50:08 +0100

Currently, parted doesn't explicitly list the 8309 (Linux LUKS) 
partition type in the list of supported file systems. Since LUKS is a 
widely used encryption standard for Linux partitions, it would be very 
helpful if parted could recognize and display 8309 as a valid partition 
type.

Adding this feature would make it easier for users to manage encrypted 
partitions in parted and ensure that 8309 partitions are clearly 
identified during partitioning tasks.